'progressbar color
'   此命令在进度栏控件设置进度栏的颜色，并将返回先前设置的颜色值的进度栏。
'注： 此命令只适用于经典的窗口主题
'hWndControl： 进度栏控件的句柄
'lPBarClr： 进度条指示器的 RGB 颜色值
Function FF_ProgressBar_SetFgColor( ByVal hWndControl as HWnd, _
                                    ByVal lPBarClr as Long _
                                    ) as Long
   
   If lPBarClr = 0 Then lPBarClr = CLR_DEFAULT
   
   '  Returns Previous Bar Color, or %CLR_DEFAULT is not previously changed 
   Function = SendMessage (hWndControl,      _  '  Handle To destination control 牋?
                           PBM_SETBARCOLOR, _  '  Message ID
                           0,                _  '  WParam = 0; not used, must be zero
                           lPBarClr)            '  LParam = RGB (COLORREF) 
End Function   

